Subject: Possible table name clash with Doctrine
Description

When having two entities with the same unqualified classname, they both end up with the same table name by default (ie.
Blog\Domain\Model\Post vs. Forum\Domain\Model\Post).

Associated revisions
Revision 767e3356 - 2011-04-26 23:58 - Karsten Dambekalns

[!!!][TASK] Change generated table structure for Doctrine

This makes all column names lowercase and creates table names with a
lower risk of name clashes.

Resolves: #13973
Change-Id: I10316deddb045e0d0f1d078d44d3aca5df0bc68a

History
#1 - 2011-04-05 12:08 - Karsten Dambekalns
- Status changed from Accepted to Needs Feedback

What we need to discuss is how to build a prefix to avoid those clashes, keeping in mind the table name length limits some high-end databases
impose.

#2 - 2011-04-26 12:59 - Karsten Dambekalns
- Status changed from Needs Feedback to Under Review

https://review.typo3.org/#change,1690

#3 - 2011-04-26 13:00 - Karsten Dambekalns
- Target version set to 1.0 beta 1

#4 - 2011-04-26 13:05 - Mr. Hudson

Patch set 2 of change I10316deddb045e0d0f1d078d44d3aca5df0bc68a has been pushed to the review server.
It is available at http://review.typo3.org/1690
#5 - 2011-04-26 22:54 - Mr. Hudson

Patch set 3 of change I10316deddb045e0d0f1d078d44d3aca5df0bc68a has been pushed to the review server.
It is available at http://review.typo3.org/1690

#6 - 2011-04-26 23:58 - Mr. Hudson

Patch set 4 of change I10316deddb045e0d0f1d078d44d3aca5df0bc68a has been pushed to the review server.
It is available at http://review.typo3.org/1690

#7 - 2011-04-27 00:30 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:767e33563fab315de25172634e7161e52978bfea.
